/* select2 clearing selection (X) fix */
.select2-container--bootstrap .select2-selection__clear {
    position: relative;
    z-index: 100000;
}
/* end select2 clearing selection (X) fix */

table.table-100 { 
    width: 100%;
}

table.table-100 tr.tr-50 {
    min-height: 50px;
    margin: 0;
    border-bottom: 1px solid #f7f8f9;	
    display: table-row!important;
}

.client-column {
    /*/width: 28%;*/
}

/*table.table-100 div.order-column > div.mt-action-info {
    width: 18%;
}*/

table.table-100 img.product-image {
    width: 100%;
    min-width: 100px;
}

table.table-100 img.user-image {
    border-radius: 50% !important;
}

table.table-100 td.mt-action-info {
    vertical-align: middle!important;
    padding: 25px 10px;
}

table.table-100 td.td-user-image {
    width: 70px;
}

table.table-100 td.mt-action-info span.mt-action-author {
    font-weight: 600;
}

table.table-100 p.mt-action-desc {
    margin-top: 3px !important;
    margin-bottom: 0;
}

table.table-100 td.mt-action-buttons {
    vertical-align: middle!important;
    position: relative;
    top: 5px;
    text-align: right;
}

table.table-100 td.mt-image {
    max-width: 150px;
}

/*.order-list {
min-height: 42px;
}*/

div.page-content {
    overflow: auto;
}

@media screen and (max-width: 1024px) {
    .client-column { width: 25%; }
}

@media screen and (max-width: 767px) {

    .client-column { width: 50%; }

    td.mt-action-info {
        padding: 10px 10px;
        display: block; 
    }

    td.mt-action-buttons { 
        padding: 10px;
        display: block;
        margin-bottom: 20px;
        width: auto!important;
        float: none!important; }

}

.input.text.required span.help-block.text-danger {
    margin-top: 0;
    font-weight: 400;
    color: #e02222;
    font-size: 12px;
    font-family: "Roboto Bold","Helvetica Neue",Helvetica,Arial,sans-serif;
}

.control-label .required, .form-group .required {
    padding-left: 0;
}

.dd3-content {
    padding-top: 3px;
}

.dd-item>button {
    margin-top: 5px;
}


/*  flex customs    */

span.logo-text {
    font-size: 30px;
    color: white;
    margin: 14px;
    display: inline-block;
}

@media (min-width: 992px){
    .page-sidebar-closed.page-sidebar-closed-hide-logo .page-header.navbar .page-logo .logo-text {
        display: none;
    }
}

/*  flex customs  end  */


/* json editor fix */

div.jsoneditor-contextmenu ul li button.jsoneditor-expand {
    width: 30px;
}

.datatablesDefaultSearchClass {
    width: 100%;
}

/* datatables buttons */
.portlet.light .dataTables_wrapper .dt-buttons {
    margin-left: 5px;
    margin-top: auto;
}

.dt-buttons > .btn, .dt-buttons > .btn:not(.btn-sm):not(.btn-lg) {
    line-height: 1.2;
}

.dataTable tfoot {
    display: table-header-group;
}

.noteBlock {
    padding: 10px;
    /*border: 1px solid #c2cad8;*/
    margin-bottom: 20px;
    /*background-color: #eef1f5;*/
}


/* datatables   - $("table.dataTable th.select-checkbox:empty:first")*/
table.dataTable th.select-all-checkbox {
    position: relative;
}

table.dataTable th.select-all-checkbox:before {
    content: ' ';
    margin-top: -6px;
    margin-left: -6px;
    border: 1px solid black;
    border-radius: 3px;
}
table.dataTable th.select-all-checkbox:before, table.dataTable th.select-all-checkbox:after{
    display: block;
    position: absolute;
    top: 1.2em;
    left: 50%;
    width: 12px;
    height: 12px;
    box-sizing: border-box;
}

table.dataTable th.select-all-checkbox-selected:after {
    content: '\2714';
    margin-top: -11px;
    margin-left: -4px;
    text-align: center;
    text-shadow: 1px 1px white, -1px -1px white, 1px -1px white, -1px 1px white;
    font-weight: normal;
}



/* kolory notatek */
.note-style-buttons, .note-style-newbuttons {
    /*float: right;*/
    /*padding: 5px;*/
    /*font-size: small;*/
    /*margin: 5px;*/
    width: 20px;
    height: 20px;
    display: inline-block;
    margin: 4px;
}

.note-style-box {
    transition: background-color ease-in-out .15s,box-shadow ease-in-out .15s;
}

.note-style1 {
    /*color: #002a80;*/
    background-color: #f6fbfc;
    border-left: #3faba4 2px solid;
}
.note-style1:hover {
    background-color: #edf7f9 !important;
}

.note-style2 {
    /*color: black;*/
    background-color: rgba(0, 255, 0, 0.15);
    border-left: green 2px solid;
}
.note-style2:hover {
    background-color: rgba(0, 255, 0, 0.25) !important;
}

.note-style3 {
    /*color: black;*/
    background-color: rgba(255, 255, 0, 0.15);
    border-left: yellow 2px solid;
}
.note-style3:hover {
    background-color: rgba(255, 255, 0, 0.25) !important;
}

.note-style4 {
    /*color: white;*/
    background-color: rgba(255, 165, 0, 0.15);
    border-left: orange 2px solid;
}
.note-style4:hover {
    background-color: rgba(255, 165, 0, 0.25) !important;
}

.note-style5 {
    /*color: white;*/
    background-color: rgba(255, 0, 0, 0.15);
    border-left: red 2px solid;
}
.note-style5:hover {
    background-color: rgba(255, 0, 0, 0.25) !important;
}

/* end kolory notatek */


/* checkbox w lini */
.form-margin-top {
    margin-top: 32px;
}
/* end checkbox w lini*/

/* guziki akcji pływające na górnej belce*/
.fixedactions {
    position: fixed;
    top: 18px;
    z-index: 9999;
    right: 20px;
}

/* bardziej wąski guzik np. do koloru dla notatek */
.btn-narrow{
    padding-top: 2px;
    padding-bottom: 2px;
}

/* brzydkie checkboxy */
.checkbox input[type='checkbox'] {
    opacity: 0;
}

/* wygląd checkboxów prawa jazdy */
.prawo_jazdy_div  label {
    margin: 10px; text-align:center;
}
.prawo_jazdy_div label > * {
    margin-left: 0px !important;
}
.page-header.navbar .page-logo {
    background: #fff;
}
.page-sidebar .page-sidebar-menu>li.active.open>a>i, .page-sidebar .page-sidebar-menu>li.active>a>i, .page-sidebar-closed.page-sidebar-fixed .page-sidebar:hover .page-sidebar-menu>li.active.open>a>i, .page-sidebar-closed.page-sidebar-fixed .page-sidebar:hover .page-sidebar-menu>li.active>a>i {
    color: #A566A7;
}
.btn.green:not(.btn-outline) {
    background-color: #A566A7;
    border-color: #A566A7;
}
.font-green {
    color: #A566A7!important;
}
.btn-success {
    background-color: #A566A7;
    border-color: #A566A7;
}
.btn.green:not(.btn-outline).active, .btn.green:not(.btn-outline):active, .btn.green:not(.btn-outline):hover, .open>.btn.green:not(.btn-outline).dropdown-toggle {
    background-color: #7c537e;
    border-color: #7c537e;
}
.btn.green:not(.btn-outline).active.focus, .btn.green:not(.btn-outline).active:focus, .btn.green:not(.btn-outline).active:hover, .btn.green:not(.btn-outline):active.focus, .btn.green:not(.btn-outline):active:focus, .btn.green:not(.btn-outline):active:hover, .open>.btn.green:not(.btn-outline).dropdown-toggle.focus, .open>.btn.green:not(.btn-outline).dropdown-toggle:focus, .open>.btn.green:not(.btn-outline).dropdown-toggle:hover {
    background-color: #7c537e;
    border-color: #7c537e;
}
.page-header.navbar .top-menu .navbar-nav>li.dropdown .dropdown-toggle .badge.badge-default {
    background-color: #A566A7;
}
.btn.green:not(.btn-outline).focus, .btn.green:not(.btn-outline):focus {
    background-color: #A566A7;
    border-color: #7c537e;
}